On Wed, 16 Jun 2004 22:13:23 +0900, Rich <rich / lithinos.com> wrote :

> I'm confused - this isn't the fxruby release that matches up with FOX 1.2 is
> it?
> 
> It's ok if it's not - I don't want to rush you... I'm just wondering if this
> is the one I need to get FOX 1.2 stuff...

No, but thanks for asking; I should have made that more clear. This is just
the latest release for the 1.0 branch, which was overdue for some bug fixes.

Things are progressing well on the 1.2 version, which I still hope to
release (at least in an "alpha" state) by the end of the month. All of the
"stuff" that was already present in FXRuby 1.0 has been updated for
compatibility with the FOX 1.2 API. What's left is to wrap all of the *new*
classes introduced in FOX 1.2 and make sure that they're basically working
properly.

In addition to this, I'm putting the finishing touches on the "What's New in
FOX 1.2" guide (see http://www.knology.net/~lyle/fox/1.2/WhatsNew.html for a
draft). While this is written in terms of the C++ API, it should prove
equally useful to FXRuby developers who are porting their FXRuby 1.0-based
applications to FXRuby 1.2.